> For the complete documentation index, see [llms.txt](https://ja.docs.monaca.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://ja.docs.monaca.io/release_notes/20190627_cordova9.md).

# Cordova 9.0 の変更点

## Android

* Cordova Android プラットフォーム: 「8.0.0」 にアップデート （ API レベル 28 ）
* Gradleバージョン: 「4.10.3」 にアップデート

## iOS

* Cordova iOS プラットフォーム: 「5.0.1」 にアップデート
* Xcode: 「10.1」「10.2」「10.2.1」 からバージョンを選択可能

## プラグイン配置ディレクト

プラグインが保存される場所が変更されました。 プラグイン一覧画面からプラグインをインポートした場合に、プラグインが保存される場所が変更されました。

* 変更前 : `/plugins/`
* 変更後 : `/res/custom_plugins/`

## 非推奨のプラグイン

次のプラグインは、Cordova 9 から非推奨となりました。 プラグインは引続き利用できますが、Cordova コミュニティによる活動の対象外となりました。

* cordova-plugin-contacts
* cordova-plugin-device-motion
* cordova-plugin-device-orientation
* cordova-plugin-file-transfer
* cordova-plugin-globalization

## 廃止のプラグイン

次のプラグインは、Cordova 9 から廃止となりました。

* mobi.monaca.plugins.datepicker
* cordova-plugin-ms-azure-mobile-apps
* mobi.monaca.plugins.BarcodeScanner

## Android パッケージ名の利用可能文字数

Android パッケージ名において、1 文字での利用ができなくなりました。 パッケージ名には、逆ドメイン形式を推奨します ( 例 : mobi.monaca.appname )。

## アプリケーション名

アプリケーション名の先頭に「数字」を設定することは出来ません。

## Monaca Localkit と Monaca CLI とのペアリングについて

Android 9 以降でカスタムビルドデバッガーを使用する場合は、`config.xml` の `widget` タグに `andorid 名前空間` 設定を追加し、`usesCleartextTraffic` 設定を追加する必要があります。

`config.xml` に以下の設定を追加後、カスタムビルドデバッガーを作成してください。

{% hint style="info" %}
Android カスタムビルドデバッガー v9.0.1 以降をご利用の場合は、下記の設定は必要ありません。
{% endhint %}

```markup
<widget xmlns:android="http://schemas.android.com/apk/res/android">

<platform name="android">
  <edit-config file="AndroidManifest.xml" target="/manifest/application" mode="merge">
    <application android:usesCleartextTraffic="true" />
  </edit-config>
</platform>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://ja.docs.monaca.io/release_notes/20190627_cordova9.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
